<?php

/* DCMS Special
 * Дата последнего редактирования 01.10.2015
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

if (isset($_GET['id'])) {
    $id = intval($_GET['id']);
} else {
    header("Location: /index.php");
}

$doc->Title('Смайлы');

require_once H . 'sys/inc/thead.php';

aut();
err();

$dir = $db->get_array($db->query("SELECT * FROM `smiles_dir` WHERE `id` = '" . $id . "'"));

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/modules/smiles/'>" . lang('Смайлы') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo toOutput($dir['name']);
echo "</small></div><br />";

if (!isset($user)) {
    err(lang('Доступ закрыт'));
} else if ($id == 0 || $id < 0) {
    err(lang('Директория не найдена'));
} else if ($id != $dir['id']) {
    err(lang('Директория не найдена'));
} else if ($user['level'] != $dir['level'] && $user['level'] < 0) {
    err(lang('Эти смайлы не для Вас'));
} else {
    $k_post = $db->super_query("SELECT COUNT(*) as count FROM `smiles_spis` WHERE `id_dir` = '$id'");
    $k_post = $k_post['count'];
    $k_page = k_page($k_post, $set['p_str']);
    $page = page($k_page);
    $start = $set['p_str'] * $page - $set['p_str'];

    if ($k_post == 0) {
        $doc->NoResult();
    }

    $q = $db->query("SELECT * FROM `smiles_spis` WHERE `id_dir` = '$id' ORDER BY `id` ASC LIMIT $start, $set[p_str]");
    while ($post = $db->get_array($q)) {
        echo "<table class='list-group-item-null'><tr><td class='icon14'>";
        echo "<img src='/style/smiles/$post[name].png' alt='$post[name]' />";
        echo "</td><td class='null'>";
        echo "<input type='text' value='$post[sim]'>";
        echo "</td></tr></table>";
        echo "<div class='hr'></div>";
    }

    if ($k_page > 1) {
        str("dir.php?id=$id&amp;", $k_page, $page);
    }
}

require_once H . 'sys/inc/tfoot.php';
